description: span class="label">No description available</span
link: org/5243
meta:
  added_date: 2026-05-03T05:11
  edited_date: 2026-05-03T05:11
  fetched_date: 2026-05-23T22:07
  ttl: 86400
  visitors: 19
name: Spatium
region: Japan
releases: []
staff:
- link: artist/80837
  names:
    en: Nagiha Momijitsuki
    ja: 紅葉月梛葉
  owner: true
type: Doujin Group / Independent
vgmdb_link: https://vgmdb.net/org/5243?perpage=99999
websites:
  Commercial: []
